summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Niels Horn2010-06-12 14:00:53 +0200
committer Robby Workman2010-06-12 14:47:29 +0200
commit1a0d0d9b4d297bac6532832b0dcc44ea04e370f1 (patch)
tree3ac1ac0e8b3ff3d240d470711eaf1995f1a3be0f /system
parent69951d47ced4595334fe939e0208bc7ae54e696b (diff)
downloadslackbuilds-1a0d0d9b4d297bac6532832b0dcc44ea04e370f1.tar.gz
system/lbench: Added (system benchmark tool)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/lbench/README4
-rw-r--r--system/lbench/doinst.sh4
-rw-r--r--system/lbench/lbench.SlackBuild82
-rw-r--r--system/lbench/lbench.info10
-rw-r--r--system/lbench/slack-desc19
5 files changed, 119 insertions, 0 deletions
diff --git a/system/lbench/README b/system/lbench/README
new file mode 100644
index 0000000000..dc6e23b2b3
--- /dev/null
+++ b/system/lbench/README
@@ -0,0 +1,4 @@
+Lbench was written to satisfy a personal desire to better understand some
+obscure performance issues. The performance increase from using multiple
+processor cores can be nearly 100% per core in some cases, and negative (an
+overall slowdown) in others.
diff --git a/system/lbench/doinst.sh b/system/lbench/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/system/lbench/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/system/lbench/lbench.SlackBuild b/system/lbench/lbench.SlackBuild
new file mode 100644
index 0000000000..6fe8ea6440
--- /dev/null
+++ b/system/lbench/lbench.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for lbench
+# simple Linux multithread benchmarking tool
+
+# Written by Niels Horn <niels.horn@gmail.com>
+# Revision date 2010/06/01
+
+PRGNAM=lbench
+VERSION=${VERSION:-1.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CXXFLAGS="$SLKCFLAGS" \
+PREFIX=/usr \
+make DOCDIR=/usr/doc/$PRGNAM-$VERSION
+
+PREFIX=/usr \
+make install DOCDIR=/usr/doc/$PRGNAM-$VERSION DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat desktop | \
+ sed -e "s|/usr/local/bin/lbench|lbench|" \
+ -e "s|/usr/local/share/lbench/icons/lbench.png|lbench|" \
+ > $PKG/usr/share/applications/$PRGNAM.desktop
+cp icons/$PRGNAM.png $PKG/usr/share/pixmaps/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/lbench/lbench.info b/system/lbench/lbench.info
new file mode 100644
index 0000000000..1f94abb7a9
--- /dev/null
+++ b/system/lbench/lbench.info
@@ -0,0 +1,10 @@
+PRGNAM="lbench"
+VERSION="1.5"
+HOMEPAGE="http://kornelix.squarespace.com/lbench/"
+DOWNLOAD="http://kornelix.squarespace.com/storage/downloads/lbench-1.5.tar.gz"
+MD5SUM="c4b1fd4e4b60431b04def8f4f18da696"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="rworkman"
diff --git a/system/lbench/slack-desc b/system/lbench/slack-desc
new file mode 100644
index 0000000000..fde825b0e7
--- /dev/null
+++ b/system/lbench/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lbench: lbench (simple Linux multithread benchmarking tool)
+lbench:
+lbench: Lbench was written to satisfy a personal desire to better understand
+lbench: some obscure performance issues. The performance increase from using
+lbench: multiple processor cores can be nearly 100% per core in some cases,
+lbench: and negative (an overall slowdown) in others.
+lbench:
+lbench: Homepage: http://kornelix.squarespace.com/lbench/
+lbench:
+lbench:
+lbench: